org.restlet.engine.http.io

## Interface Notifiable

All Known Implementing Classes:
  ClientConnection, Connection, ServerConnection

    public interface Notifiable

Marker class for objects such as `Connection` that can be notified of stream events.

Author:
  Jerome Louvel

### Method Summary

Methods
`void` `onEndReached()` To be called when the end of the stream is reached.
`void` `onError()` To be called when there is an error when handling the stream.

### Method Detail

#### onEndReached

    void onEndReached()

To be called when the end of the stream is reached. By default, it updates the state of the connection ( `Connection.setInboundBusy(boolean)` ) .

#### onError

    void onError()

To be called when there is an error when handling the stream. By default it calls `onEndReached()` and set the state of the connection to `ConnectionState.CLOSING` in order to release this stream.